#
# spec file for package rubygem-agama
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-agama
Version:        5
Release:        1.1
%define mod_name agama
%define mod_full_name %{mod_name}-%{version}
# MANUAL
%global rb_build_versions %{rb_default_ruby}
BuildRequires:  dbus-1-common
Requires:       dbus-1-common
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.5.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            https://github.com/openSUSE/agama
Source:         %{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Agama Installer Service
License:        GPL-2.0-only
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
System service for Agama, an experimental YaST-based installer.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  -f
# MANUAL
install -D -m 0644 %{buildroot}%{gem_base}/gems/%{mod_full_name}/share/dbus.conf %{buildroot}%{_datadir}/dbus-1/agama.conf
install --directory %{buildroot}%{_datadir}/dbus-1/agama-services
install -m 0644 --target-directory=%{buildroot}%{_datadir}/dbus-1/agama-services %{buildroot}%{gem_base}/gems/%{mod_full_name}/share/org.opensuse.Agama*.service
install -D -m 0644 %{buildroot}%{gem_base}/gems/%{mod_full_name}/share/agama.service %{buildroot}%{_unitdir}/agama.service
install -D -m 0644 %{buildroot}%{gem_base}/gems/%{mod_full_name}/share/agama-proxy-setup.service %{buildroot}%{_unitdir}/agama-proxy-setup.service
install -D -m 0644 %{buildroot}%{gem_base}/gems/%{mod_full_name}/etc/agama.yaml %{buildroot}%{_sysconfdir}/agama.yaml
# /MANUAL

%gem_packages

%changelog
* Mon Oct 23 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 5
* Fri Oct 20 2023 Ancor Gonzalez Sosa <ancor@suse.com>
- Do not reuse pre-existing swap partitions in the storage proposal
  (gh#openSUSE/agama#806)
* Tue Oct 10 2023 Ladislav Slezák <lslezak@suse.com>
- Extended Software service to allow configuring selected patterns
  (gh#openSUSE/agama#792)
* Wed Oct  4 2023 Josef Reidinger <jreidinger@suse.com>
- Add indication to btrfs volumes if it is transactional
  (gh#openSUSE/agama#789)
* Fri Sep 29 2023 Ancor Gonzalez Sosa <ancor@suse.com>
- Adapted storage settings for ALP Dolomite (gh#openSUSE/agama#782)
* Wed Sep 27 2023 José Iván López González <jlopez@suse.com>
- Fix D-Bus type for SystemVGDevices and restore system VG devices
  from previous settings (gh#openSUSE/agama#763).
* Tue Sep 26 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 4
* Tue Sep 19 2023 José Iván López González <jlopez@suse.com>
- Do not automatically probe after selecting a new product
  (gh#openSUSE/agama#748).
* Thu Sep 14 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Use a single D-Bus service to expose the manager and the users
  settings (gh#openSUSE/agama#753, follow-up of
  gh#openSUSE/agama#729).
* Tue Sep 12 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Do not crash when it is not possible to handle a product change
  in the manager service (related to bsc#1215197).
- When selecting the product, do not perform any change if the
  product is still the same.
* Mon Sep 11 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- The software and the storage services do not dispatch actions
  during progress reporting anymore (related to bsc#1215197).
* Wed Sep  6 2023 José Iván López González <jlopez@suse.com>
- New storage proposal settings (gh#openSUSE/agama#738).
* Fri Sep  1 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Extend the Ruby-based services logs with information about
  each step (gh#openSUSE/agama#732).
- Raise the D-Bus service start timeout for troubleshoting purposes
  (related to bsc#1214737).
* Thu Aug 31 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Adapt the locale and questions clients to use the same D-Bus
  service (gh#openSUSE/agama#729).
* Wed Aug 30 2023 Josef Reidinger <jreidinger@suse.com>
- Respect UI locale in dbus services (gh#openSUSE/agama#725)
* Mon Aug 28 2023 Knut Anderssen <kanderssen@suse.com>
- Copy the proxy configuration to the target system when needed
  (bsc#1212677, gh#openSUSE/agama#711).
* Wed Aug 23 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Install the ppc64-diag package when running on ppc64le (related
  to bsc#1206898).
* Mon Aug 21 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Set the manager service as busy during the startup phase
  (bsc#1213194).
* Fri Aug 18 2023 Knut Anderssen <kanderssen@suse.com>
- Add proxy setup support (bsc#1212677, gh#openSUSE/agama#696).
* Mon Aug  7 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Do not consider the architecture when filtering the configuration
  file through the filter-config.rb script (gh#openSUSE/agama#691).
* Wed Aug  2 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 3
* Wed Aug  2 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
* Wed Jul 26 2023 José Iván López González <jlopez@suse.com>
- Adapt config file to install ALP Dolomite instead of ALP Micro
  and remove ALP Bedrock (gh#openSUSE/agama#674).
* Mon Jul 17 2023 Josef Reidinger <jreidinger@suse.com>
- Adapt to new questions D-Bus API to allow automatic answering of
  questions when requested. All code using this API is adapted
  (gh#openSUSE/agama#637)
* Wed Jul  5 2023 José Iván López González <jlopez@suse.com>
- Delay zFCP probing after activating a controller and ensure the
  system is marked as deprecated if needed after probing zFCP
  (gh#openSUSE/agama#650).
* Wed Jun 14 2023 José Iván López González <jlopez@suse.com>
- Extend zFCP D-Bus API to provide allow_lun_scan info
  (gh#openSUSE/agama/626).
* Wed Jun  7 2023 José Iván López González <jlopez@suse.com>
- Add D-Bus API for managing zFCP devices (gh#openSUSE/agama#594).
* Wed Jun  7 2023 Michal Filka <mfilka@suse.com>
- Merge the users D-Bus service into the main one to save some resources
  (gh#openSUSE/agama#596).
* Wed Jun  7 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Drop the old `org.opensuse.Agama.Language1` which was replaced
  with `org.opensuse.Agama.Locale1` (gh#openSUSE/agama#608).
* Wed May 24 2023 Ancor Gonzalez Sosa <ancor@suse.com>
- Adjust volume definitions for Tumbleweed (related to bsc#1075990)
- Display "ALP Server" instead of "ALP Bedrock"
* Tue May 23 2023 Martin Vidner <mvidner@suse.com>
- Version 2.1
* Tue May 23 2023 José Iván López González <jlopez@suse.com>
- Initial version of storage D-Bus API for exporting system devices.
- gh#openSUSE/agama#586
* Mon May 22 2023 Martin Vidner <mvidner@suse.com>
- Version 2
* Thu May 18 2023 Martin Vidner <mvidner@suse.com>
- Update ruby-dbus dependency to 0.22.x (gh#openSUSE/agama#581)
* Tue May 16 2023 Knut Alejandro Anderssen González <kanderssen@suse.com>
- Added ppc64le repositories for ALP Bedrock and ALP Micro products
- gh#openSUSE/agama#577
* Fri May  5 2023 José Iván López González <jlopez@suse.com>
- Add callbacks for storage commit errors (gh#openSUSE/agama/558).
* Wed Apr 26 2023 José Iván López González <jlopez@suse.com>
- Add D-Bus API for managing issues.
- Replace validation interface by issues in the storage service.
- gh#openSUSE/agama#548
* Fri Apr 14 2023 José Iván López González <jlopez@suse.com>
- Modify default storage settings.
- Fix issue with volume templates.
- gh#openSUSE/agama#521
* Mon Apr 10 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Update ruby-dbus dependency to version 0.21.0
  (gh#openSUSE/agama#528).
* Wed Apr  5 2023 José Iván López González <jlopez@suse.com>
- Rename D-Bus interface for generic questions
  (gh#openSUSE/agama#524).
* Wed Mar 29 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Rename D-Installer to Agama (gh#openSUSE/agama#507).
- Version 1
* Fri Mar 24 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 0.8.3
* Fri Mar 24 2023 Knut Alejandro Anderssen González <kanderssen@suse.com>
- Adjustments to allow obtaining the DASD format progress and set
  the system as deprecated after making DASD changes.
- gh#openSUSE/agama#501.
* Fri Mar 24 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 0.8.2
* Thu Mar 23 2023 José Iván López González <jlopez@suse.com>
- Set system as deprecated after changing iSCSI sessions.
- Reuse settings from previous proposal.
- gh#openSUSE/agama#484
* Wed Mar 22 2023 Knut Anderssen <kanderssen@suse.com>
- Added a fallback in order to prevent a proposal error when no
  planned devices are available (gh#openSUSE/agama#494).
* Wed Mar 22 2023 Ancor Gonzalez Sosa <ancor@suse.com>
- Adjustments to prevent iSCSI-related delays during storage
  probing (gh#openSUSE/agama#493).
* Wed Mar 22 2023 Martin Vidner <mvidner@suse.com>
- Fix service startup (gh#openSUSE/agama#491):
  * Fix race at systemd startup time.
  * Install the dependencies before starting it up.
* Wed Mar 22 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 0.8.1
* Tue Mar 21 2023 Knut Anderssen <kanderssen@suse.com>
- Allow to define architecture specific patterns and packages
  (gh#openSUSE/agama#486).
* Tue Mar 21 2023 Ladislav Slezák <lslezak@suse.com>
- Fixed exception handling so service always goes back to the
  "idle" state when finishing a block (related to bsc#1209523)
* Tue Mar 21 2023 Ancor Gonzalez Sosa <ancor@suse.com>
- Added D-Bus API for management of DASDs (gh#openSUSE/agama#464,
  gh#openSUSE/agama#476)
* Tue Mar 21 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Update the products definitions (gh#openSUSE/agama#485):
  * Replace "ALP" with "ALP Bedrock" and "ALP Micro".
  * Drop Leap 15.4 and Leap Micro 5.3.
- Add a script to auto-generate the configuration file when
  building the ISO.
* Thu Mar 16 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 0.8
* Thu Mar 16 2023 José Iván López González <jlopez@suse.com>
- Add callbacks to be called on iSCSI activation
  (gh#openSUSE/agama#435).
* Thu Mar 16 2023 Knut Anderssen <kanderssen@suse.com>
- Adapted the service configuration for the s390x architecture
  (gh#openSUSE/agama#469).
* Thu Mar 16 2023 Knut Anderssen <kanderssen@suse.com>
- Fix gem2rpm configuration requiring the dbus-1-common package
  (gh#openSUSE/agama#470).
* Wed Mar  8 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Fix gem2rpm configuration to include YaST2 dependencies
  (gh#openSUSE/agama#459).
* Thu Mar  2 2023 Ancor Gonzalez Sosa <ancor@suse.com>
- Write /iguana/mountlist if running on Iguana
  (gh#openSUSE/agama#445).
* Wed Feb 15 2023 José Iván López González <jlopez@suse.com>
- Add D-Bus API for iSCSI (gh#openSUSE/agama#402).
* Wed Feb 15 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 0.7
- Update the list of patterns to install for Leap Micro 5.3
  (gh#openSUSE/agama#427).
* Wed Feb  8 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Better handling of software repositories
  (gh#openSUSE/agama#414):
  * Report issues when reading the software repositories.
  * Inform the user about the software proposal progress.
  * Do not try to calculate a proposal if there are no
    repositories.
* Fri Jan 20 2023 Martin Vidner <mvidner@suse.com>
- Use the upstream version of D-Bus ObjectManager
  (gh#openSUSE/agama#245)
* Wed Jan 18 2023 Josef Reidinger <jreidinger@suse.com>
- Save logs and provide the path to the file
  (gh#openSUSE/agama#379)
* Tue Jan 17 2023 Josef Reidinger <jreidinger@suse.com>
- Implement validation of software proposal
  (gh#openSUSE/agama#381)
* Mon Jan 16 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Check for installed packages in the target system, instead of the
  installation medium (gh#openSUSE/agama#393).
* Mon Jan 16 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Simplify the network configuration to just copying the
  NetworkManager connections and enabling the service
  (gh#openSUSE/agama#397).
* Tue Jan 10 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Use a dedicated D-Bus server (gh#openSUSE/agama#384).
* Thu Dec 15 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Implement the ImportGpgKey libzypp callback
  (gh#openSUSE/agama#371)
- Version 0.6.2
* Wed Dec 14 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Implement AcceptUnsignedFile and MediaChange libzypp callbacks
  (gh#openSUSE/agama#369).
* Wed Dec 14 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Switch the SELinux policy for ALP to "enforcing"
  (gh#openSUSE/agama#360).
- Fix generic questions handling (gh#openSUSE/agama#362)
- Version 0.6.1
* Wed Dec 14 2022 Ancor Gonzalez Sosa <ancor@suse.com>
- Removed previous temporary setting "olaf_luks2_password" and all
  the code supporting it.
- Added new temporary setting "tpm_luks_open" to try to configure
  TPM-based unlocking of the LUKS devices during the first system
  boot (gh#openSUSE/agama#363).
* Mon Dec  5 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Write snapshots configuration (gh#openSUSE/agama#350).
- Update to version 0.6.0
* Fri Dec  2 2022 José Iván López González <jlopez@suse.com>
- Improve messages of storage validation errors.
- Do not encrypt devices when receiving an empty password from
  D-Bus (gh#openSUSE/agama#321).
* Thu Dec  1 2022 Josef Reidinger <jreidinger@suse.com>
- Allow to define products architectures and architecture specific
  installation repositories
- Adapt default d-installer.yml to fix installation on other archs
  (gh#openSUSE/agama#279)
* Wed Nov 30 2022 Knut Alejandro Anderssen González <kanderssen@suse.de>
- Add validation for the first user creation (gh#openSUSE/agama#337)
* Wed Nov 30 2022 Ancor Gonzalez Sosa <ancor@suse.com>
- Encryption method and pbkdf are now configurable per-product, set
  to LUKS2 and PBKDF2 for ALP (gh#openSUSE/agama#340).
- Improved selection of packages for ALP to boot from encrypted
  devices and LVM (gh#openSUSE/agama#338).
- Temporarily adjusted storage proposal to delete all existing
  partitions and to never reuse LVM (gh#openSUSE/agama#340).
* Fri Nov 18 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Update to version 0.5.0:
  * Use D-Bus activation instead of explicit service starting
    (gh#openSUSE/agama#287).
  * Load the configuration from /etc/d-installer.yaml
    (gh#openSUSE/agama#301).
  * Move D-Bus configuration to /usr/share (gh#openSUSE/agama#254).
  * Extract questions and storage handling to separate services
    (gh#openSUSE/agama#248).
  * Add a mechanism to report problems found in the configuration
    (gh#openSUSE/agama#299).
  * Extend the D-Bus API for the storage proposal
    (gh#openSUSE/agama#268).
  * Do not block after software installation if a package cannot
    be installed (gh#openSUSE/agama#322).
  * Add support to install the Adaptable Linux Platform Host OS
    (gh#openSUSE/agama#265).
  * Update Leap Micro to version 5.3 (gh#openSUSE/agama#318).
* Thu Jul 28 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Update to version 0.4.2:
  * Prevent the installation from being blocked when the user
    changes the language (gh#openSUSE/agama#239 and
    gh#openSUSE/agama#240).
  * Add a new service org.opensuse.DInstaller.Language to handle
    yast2-country related logic.
* Tue Jul 26 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Update to version 0.4.1:
  * Respond to D-Bus messages during software installation
    (gh#openSUSE/agama#223).
  * Prevent the redefined PackagesProposal module from sending a
    nil value over D-Bus.
* Fri Jul 15 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Update to version 0.4:
  * Add support for installing multiple products
    (gh#openSUSE/agama#181).
  * Switch to a multi-process architecture (gh#openSUSE/agama#153):
  - Users service (gh#openSUSE/agama#164).
  - Software service (gh#openSUSE/agama#201).
  * Simplify the installation workflow and introduce a new
    status/progress reporting API
    (gh#openSUSE/agama#209).
  * Install packages that are required to configure the LSM
    (gh#openSUSE/agama#222).
- Add dependencies on YaST2 and snapper packages.
* Mon Jun 13 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Update to version 0.3:
  * Extend configuration to support:
  - Selecting patterns for installation
    (gh#openSUSE/agama#184).
  - Configuring an LSM (gh#openSUSE/agama#173 and
    gh#openSUSE/agama#184).
  - Specifying the list of storage volumes
    (gh#openSUSE/agama#188).
* Tue May 17 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Update to version 0.2:
  * Introduce a YAML-based configuration system
    (gh#openSUSE/agama#132 and gh#openSUSE/agama#158).
  * Add a mechanism to allow user interaction from the service
    (gh#openSUSE/agama#123 and gh#openSUSE/agama#135).
  * Allow setting an SSL certificate for remote installation
    or disabling SSL completely (gh#openSUSE/agama#145).
  * Define the installation repository through a configuration
    file (gh#openSUSE/agama#122).
* Wed Mar 30 2022 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- First release (version 0.1):
  * Minimal installation of openSUSE Leap or Tumbleweed.
  * Allow setting the language, selecting a product, choosing a disk to
    install into, setting the root authentication mechanism and creating
    a first user.
  * Automatic boot loader installation.
  * Automatic network set up based on the configuration of the
    underlying system.
